<?php
require_once("DBManager.class.php");

class foro{
	private $idforo;///
	private $fechapub;	
	private $concepto;
	private $detalle;
	private $usuario;
	private $visible;
	private $iddoc_curso;
	///////////////////////////////////////////
	
	public function Crear($vf,$vcon,$vdet,$vu,$visible,$idc)
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("INSERT INTO foro(idforo,fechapub,concepto,detalle,usuario,visible,iddoc_curso) VALUES(null,'".$vf."','".$vcon."','".$vdet."',".$vu.",'".$visible."',".$idc.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	public function Actualizar($vi,$ti,$de,$es)			
	{
		$resp=false;		
		$db= new DBManager();
		if($db->_execute("update foro set concepto = '".$ti."',detalle = '".$de."',visible='".$es."' where (idforo=".$vi.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	
	public function ListarPorDocente($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,concepto,detalle,usuario,visible,iddoc_curso from foro where(usuario =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idforo"   => $rs->fields["idforo"],
									"fechapub" 	    => $rs->fields["fechapub"],
									"concepto"         => $rs->fields["concepto"],
									"detalle"         => $rs->fields["detalle"],
									"usuario"         => $rs->fields["usuario"],
									"visible"         => $rs->fields["visible"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPorDoc_curso($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,concepto,detalle,usuario,visible,iddoc_curso from foro where(iddoc_curso =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idforo"   => $rs->fields["idforo"],
									"fechapub" 	    => $rs->fields["fechapub"],
									"concepto"         => $rs->fields["concepto"],
									"detalle"         => $rs->fields["detalle"],
									"usuario"         => $rs->fields["usuario"],
									"visible"         => $rs->fields["visible"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPorDocenteVisble($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,concepto,detalle,usuario,visible,iddoc_curso from foro where(usuario ='".$v."' and visible='SI')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idforo"   => $rs->fields["idforo"],
									"fechapub" 	    => $rs->fields["fechapub"],
									"concepto"         => $rs->fields["concepto"],
									"detalle"         => $rs->fields["detalle"],
									"usuario"         => $rs->fields["usuario"],
									"visible"         => $rs->fields["visible"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,concepto,detalle,usuario,visible,iddoc_curso from foro where(idforo = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idforo=$rs->fields["idforo"];
				      $this->fechapub=$rs->fields["fechapub"];	
					  $this->concepto=$rs->fields["concepto"];				
				     $this->detalle=$rs->fields["detalle"];			 
				     $this->usuario=$rs->fields["usuario"];
					 $this->visible=$rs->fields["visible"];
					 $this->iddoc_curso=$rs->fields["iddoc_curso"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
		
	////////////////////////////////*/
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idforo,date_format(fechapub,'%d-%m-%Y') as fechapub,concepto,detalle,usuario,iddoc_curso from foro");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idforo"   => $rs->fields["idforo"],
									"fechapub" 	    => $rs->fields["fechapub"],
									"concepto"         => $rs->fields["concepto"],
									"detalle"         => $rs->fields["detalle"],
									"usuario"         => $rs->fields["usuario"],
									"visible"         => $rs->fields["visible"],
									"iddoc_curso"         => $rs->fields["iddoc_curso"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM foro WHERE (idforo=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	////////////////////////////////////////							
	
	public function getIdforo(){ return $this->idforo;}
	public function getFechapub(){ return $this->fechapub;}
	public function getConcepto(){ return $this->concepto;}
	public function getDetalle(){ return $this->detalle;}
	public function getUsuario(){ return $this->usuario;}
	public function getVisible(){ return $this->visible;}
	public function getiddoc_curso(){ return $this->iddoc_curso;}
}
?>
